From: <a href="/blend/av.cgi?id=392">Kindred_Spirit49</a><BR>
Date: 25 July 2013<P>

B.K., about <a href="/blend/wv.cgi?id=2013.07.23.07.03.5675">Doing It In The Road</a>:<BR>
<BR>
Love it!! But, I have to tell you that someone had already painted that picture. Although the poem did prompt me to get some chocolate mescaline, then watch and envy the bunnies in the front yard.<BR>
Now I'm waiting on your next poem!<BR>
KS
<HR>
From: <a href="/blend/av.cgi?id=2045">Ravenheart</a><BR>
Date: 25 July 2013<P>

Holy Cannoli's! Chocolate mescaline?? What'll they think of next? I probably wouldn't survive a trip like that nowadays anyway....
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 25 July 2013<P>

Kindred Spirit; Thanks, I knew it had to be a painting I had seen as it was too clever an idea. As for the mescaline, it's good to be a writer with a vivid imagination..where everyone asks did she or didn't she ha.<BR>
<BR>
And by the way, you can bet we all would like to see some of your writing on the page.<BR>
<BR>
Ravenheart; It's been so long since I have taken anything more than prescribed meds and aspirin. I think I probably heard about such, or I conveniently made it up, or maybe I did take it once upon a time after all. hummm.  <BR>
<BR>
But y'all the bunnies are doing it right in the road and they are everywhere this year. They don't even move when I go boo, and it makes me furious. Where's Elmer Fudd when you need him...hahahaha<BR>
<BR>
bk<BR>
<BR>
 
<HR>